//GDSG03J1 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*        This program is provided by SimoTime Technologies          *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text    - Process a File within a Generation Data Group (GDG).
//* Author  - SimoTime Technologies
//* Date    - November 24, 2005
//* Version - 07.01.22
//*
//* This job will process the generation data set that is three
//* previous to the latest generation in the GDG because the DSN name
//* has the (-3) appended to the GDG name.
//*
//* Note: Since the GDG was defined with a limit of three (3) the
//*       attempt to access a generation that does not exist should
//*       result in a "Data Set Not Found" condition.
//*
//* *******************************************************************
//* Step 1 of 2, Delete previously created sequential file.
//*
//STEP010  EXEC PGM=IEFBR14
//PUTRS80  DD  DSN=SIMOTIME.DATA.SEQ4G003,
//             DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 2, Process a single Generation Data Set.
//*
//STEP010  EXEC PGM=GDGR80C1
//SYSPRINT DD  SYSOUT=*
//GETRS80  DD  DSN=SIMOTIME.DATA.GDGROUP1(-3),DISP=SHR
//PUTRS80  DD  DSN=SIMOTIME.DATA.SEQ4G003,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//*
